build script dependency problem

Hello

The build script editor shows us errors, but we can build the plugins anyway. But I would still like to understand the problem.

I don't know what other dependency to declare to solve this error. I also checked the involved solutions and languages, and I could not find the dependencies shown in the error messages.

4 comments
Comment actions Permalink

Your screenshot hides the interesting parts :) can you show your build script?

0
Comment actions Permalink

 

If you need any more information plz tell me.

0
Comment actions Permalink

I *think* the problem is that your modules depend on the MPS console, but the console is not packaged as a plugin in MPS (looks like its directory structure is assembled manually in the mpsPlugins build script), so you can't declare dependency in your plugin on the console plugin, so MPS complains about unresolved dependencies in your plugin.

I don't know how to solve this properly, I think you could either package your plugin manually, or maybe write plugin.xml yourself and specify it in the "idea plugin" declaration (type "from file" after "idea plugin peoplCore" to uncover this option). Or just live with it :)

Maybe somebody from the MPS team will be able to suggest a better solution.

0
Comment actions Permalink

Thank you for the advice. I hope the MPS team knows "cleaner" way.

0

Please sign in to leave a comment.